com.amazon.redshift.util

## Class RedshiftBytea

- java.lang.Object
- - com.amazon.redshift.util.RedshiftBytea

    public class RedshiftBytea
    extends Object

Converts to and from the Redshift bytea datatype used by the backend.

### Constructor Summary

Constructors
Constructor and Description
`RedshiftBytea()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `toBytes(byte[] s)`
`static String` `toRSString(byte[] buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftBytea

    public RedshiftBytea()

### Method Detail

#### toBytes

    public static byte[] toBytes(byte[] s)
                          throws SQLException

Throws:
  `SQLException`

#### toRSString

    public static String toRSString(byte[] buf)